Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7119 - Can't use NIS module with Python
Summary: Can't use NIS module with Python
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: python
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-18 22:46 UTC by James Graves
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-22 17:50:02 UTC


Attachments (Terms of Use)

Description James Graves 1999-11-18 22:46:38 UTC
I can't import and use the NIS module with Python 1.5.2.  This is what it
looks like trying it from the interactive prompt:

# python
Python 1.5.2 (#1, Nov 18 1999, 16:29:32)  [GCC egcs-2.91.66 19990314/Linux
(egcs- on linux-i386
Copyright 1991-1995 Stichting Mathematisch Centrum, Amsterdam
>>> import nis
Traceback (innermost last):
  File "<stdin>", line 1, in ?
ImportError: /usr/lib/python1.5/lib-dynload/nismodule.so: undefined
symbol: yperr_string


I've looked at the definition of /usr/include/rpcsvc/ypclnt.h and
yperr_string is indeed in there.  I don't do much with dynamically loaded
libraries, so I'm not sure where to go from here.

Comment 1 Michael K. Johnson 1999-11-22 17:50:59 UTC
nismodule needed to be linked with -lnsl
Fixed in python-1.5.2-8 package which will be in the next RawHide
release.  Please re-open this bug if that is not the case.

Thanks for the report!


Note You need to log in before you can comment on or make changes to this bug.